Home > Could Not > Could Not Find A Valid Gem 'rails' ( = 0) In Any Repository

Could Not Find A Valid Gem 'rails' ( = 0) In Any Repository

Contents

I'm trying to install the gems but I get the message: "Could not find a valid gem 'bundler' <>= 0> in any repository" How can I fix this issue? 5 Answers The next step is to ask if there's any chance you're behind some kind of firewall that may be blocking your downloads? I was about to throw my macbook off the balcony, and I would've been very sad because it was quite expensive. I have no idea what to do to solve it, and/or what the significance of it is. navigate here

Is it like RubyGems, where it installs once and nowhere else?Can someone suggest me some funny rubygem?Do rubygems have js in it?What would happen if a rubygem server went down?Are there Can Communism become a stable economic strategy? I found the solution by myself on the web, but took some time, so I think it would be really useful to include some note about this on the guide. I've tried to gem install rails with this prerelease version installed and with this version uninstalled. #5 [ruby-core:56402] Updated by Steve Klabnik about 3 years ago I believe both of these

Could Not Find A Valid Gem 'rails' ( = 0) In Any Repository

Reboot (I don't know why but at first I couldn't make gem work by just setting the variable by "set SSL_CERT_FILE=C:\RailsInstaller\cacert.pem" ) 6. http://cl.ly/ODf2 RubyGems member evanphx commented Apr 11, 2013 I've made a change to rubygems.org, could you try again? It works well.

Why does this execution plan have Compute Scalars? Here is the cmd log: [[email protected] redmine]$ rvm -v rvm 1.22.14 (stable) by Wayne E. Ask Ubuntu works best with JavaScript enabled This page may be out of date. Could Not Find A Valid Gem 'rhc' ( = 0) In Any Repository I think you may have to put the forward slash on the end.

give me this error: ERROR: Could not find a valid gem 'rails' (>= 0), here is why: Unable to download data from https://rubygems.org/ - Errno::ETIMEDOUT: Connection timed out - connect(2) (https://rubygems.org/latest_specs.4.8.gz) Could Not Find A Valid Gem 'bundler' ( = 0) Here Is Why Fails again when it tries to download rdocs from https://rubygems.org Parsing documentation for rails-3.2.12 Installing ri documentation for rails-3.2.12 WARNING: Unable to pull data from 'https://rubygems.org/': SSL_connect returned=1 errno=0 state=SSLv3 read asked 3 years ago viewed 11549 times active 3 years ago Related 4Passenger (mod-rails) can't find libopenssl-ruby2Error while installing rails1Uninstall RVM, Ruby, Ruby gem and rails in Ubuntu 12.040rake aborted! codestark1715 commented Jul 9, 2014 Still seeing the same issue. $ gem install rubygems-bundler ERROR: Could not find a valid gem 'rubygems-bundler' (>= 0), here is why: Unable to download data

Browse other questions tagged 12.04 apt ruby rails gem or ask your own question. Could Not Find A Valid Gem 'compass' EnterpriseWide commented Dec 17, 2014 Hi there, When I did this, the installer was very fussy about the url used. apetrov commented Oct 3, 2013 +1 @vegasje spovich commented Oct 3, 2013 +1 @vegasje That did it. How?

Could Not Find A Valid Gem 'bundler' ( = 0) Here Is Why

acandael's answer fix that. g1na1011 commented Oct 2, 2013 Thank you so much @vegasje! Could Not Find A Valid Gem 'rails' ( = 0) In Any Repository i am at Win7 ruby install: 2.0.0.0 p247 Thanks a lot for the help in advance This was referenced Jul 24, 2013 Closed gem devise error bundler/bundler#2560 Closed SSL_connect SYSCALL returned=5 Could Not Find A Valid Gem Local C:\Ruby193\bin>ruby -v ruby 1.9.3p545 (2014-02-24) [i386-mingw32] C:\Ruby193\bin>gem -v 1.8.28 C:\Ruby193\bin>gem install rgeo ERROR: Could not find a valid gem 'rgeo' (>= 0) in any repository ERROR: Possible alternatives: rgeo C:\Ruby193\bin>gem install

It will ask if you're sure to change adress just type y and you're done. Unsubstantiated With modern technology, is it possible to permanently stay in sunlight, without going into space? Is there any way to know when NOT to use my Oyster card? I simply removed the SSL source and added the plain HTTP one gem source -a http://rubygems.org gem source --remove https://rubygems.org I used ruby 2.0 x64 on a Windows 8.1 machine. Error Fetching Http Rubygems Org

The issue I'm pointing out here is that the error reported on the original issue is completely stupid and wrong- it should never be printed, no matter what the circumstance. rajashs commented Oct 30, 2013 RaphaellDDL, I did try what acandel suggested & every option listed, still no success. andikart commented Dec 17, 2014 @EnterpriseWide in step 2 can you help me ? Not the answer you're looking for?

satrya referenced this issue Apr 13, 2013 Closed Again, gem 2.0.3 Unable to download data from https://rubygems.org/ #537 simrb commented Apr 23, 2013 i get the same problem, obviously, that is Uninitialized Constant Gem::remotefetcher::openssl Also, try the code in my next answer. –joelparkerhenderson Apr 1 '12 at 5:42 2 this person says rubygems.org doesn't respond to ping requests. The issue most likely is with your internet connection.

Saved me a lot of time 👍 shazu14 commented Oct 15, 2013 Thanks @drbrain @acandael :) It worked.

Unproven vs. Terms Privacy Security Status Help You can't perform that action at this time. Here is what I get when I type "gem install bundler" ERROR: Could not find a valid gem 'bundler' ,.= 0>, here is why: unable to download data from https://rubygems.org/ - Unable To Download Data From Https://rubygems.org/ - Errno::etimedout RubyGems member evanphx commented Apr 11, 2013 You're getting that today?

PrajktaP commented Jan 29, 2014 I'm getting same error right now. What should I do?UpdateCancelAnswer Wiki2 Answers Sooraj TP, Software Engineer(Ruby on Rails), Gadget loverWritten 68w agoSingle step method:gem install mysql2 -s http://rubygems.orgOR Change in Gemfile source 'https://rubygems.org' to source 'http://rubygems.org'and then Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 15 Star 263 Fork 63 juthilo/run-jekyll-on-windows Code Issues 13 Pull requests 3 Projects This is what worked for me: REALLY_GEM_UPDATE_SYSTEM=1 sudo gem update --system sudo gem install rails Hope this helps anyone else having this issue :) share|improve this answer answered Apr 29 '13

What kind of system are you using (for example a your own laptop?), what operating system (for example, Mac OSX), and what kind of firewall software are you using –joelparkerhenderson Apr Could you try again? RaphaelDDL commented Oct 30, 2013 @rajashs read the posts dude... asked 1 year ago viewed 2416 times active 1 year ago Visit Chat Related 3Could not find a valid gem 'rails' (>= 0) in any repository2Bundler could not find compatible versions

zssr commented Nov 5, 2015 For Chinese user blocked by the Great Wall , you can refer ruby.taobao.com do this: $ gem sources --add https://ruby.taobao.org/ --remove https://rubygems.org/ WhaleChen commented Jan 5, Is there a role with more responsibility? of the atom whose 1s electron moves nearly at the speed of light? Muchas Gracias!

How to get back those validation messages?Is there a clear business model behind inventing languages such as Ruby? Security Patch SUPEE-8788 - Possible Problems? Can't paste anything new that hasn't already been pasted in previous comments for this issue. Switching to HTTP opens you to MITM attacks.

permissions on /etc/shadow Why does argv include the program name? Any other suggestions? Still happened when installed "gem install watir" win 7 64 bit, ruby 2.0.0p247 ERROR: Could not find a valid gem 'watir' (>= 0), here is why: Unable to download data from Not the answer you're looking for?

Browse other questions tagged ruby gem rubygame or ask your own question. RubyGems member drbrain commented Oct 11, 2013 @totty90 @shazu14 this error is not "bad ecpoint", upgrade to the latest rubygems to fix it. You can use the gem sources -r https://rubygems.org then -a http://rubygems.org it will remove the https and add just the http if you are having this issue you will have to